using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, m;
            string[] s = Console.ReadLine().Split();
            n = int.Parse(s[0]);
            m = int.Parse(s[1]);
            int[] a = new int[n];
            int[] x = new int[n];
            int rez = 0;
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(Console.ReadLine());
            }
            for (int i = 0; i < m; i++)
            {
                s = Console.ReadLine().Split();
                int prvi = int.Parse(s[0]) - 1;
                int drugi = int.Parse(s[1]) - 1;
                if ((a[prvi] > 0) == (a[drugi] > 0))
                {
                    if (a[prvi] >= 0)
                    {
                        x[prvi]++;
                        x[drugi]++;
                    }
                    else
                    {
                        x[prvi]--;
                        x[drugi]--;
                    }
                }
                else
                {
                    if (Math.Abs(a[prvi]) >= Math.Abs(a[drugi]))
                    {
                        if (a[prvi] < 0)
                        {
                            x[prvi]--;
                            x[drugi]--;
                        }
                        else
                        {
                            x[prvi]++;
                            x[drugi]++;
                        }
                    }
                    else
                    {
                        if (a[drugi] < 0)
                        {
                            x[prvi]--;
                            x[drugi]--;
                        }
                        else
                        {
                            x[prvi]++;
                            x[drugi]++;
                        }
                    }
                }
            }
            for (int i = 0; i < n; i++)
            {
                rez += a[i] * x[i];
            }
            Console.WriteLine(rez);
            Console.ReadKey();
        }
    }
}